// Bed thermistor: VISHAY BC COMPONENTS NTCS0603E3104FXT - All Huxleys with heated bed PCB
#define BED_BETA 4100.0
#define BED_NTC 100000.0

// Extruder thermistor: RS 198-961 100k ohm 10% DO-35 NTC thermistor - All Huxleys before 25/2/14
// #define E_BETA 3960.0
// #define E_NTC 100000.0

// Extruder thermistor: Digikey 480-3137-ND - All Huxleys shipped after 25/2/14
#define E_BETA 4138.0
#define E_NTC 100000.0


#define AXES_MAX_LENGTHS {155, 150, 90}
#define INVERT_X_DIR false    // for Mendel set to false, for Orca set to true
#define INVERT_Y_DIR false    // for Mendel set to true, for Orca set to false
#define INVERT_Z_DIR false     // for Mendel set to false, for Orca set to true
#define INVERT_E0_DIR true   // for direct drive extruder v9 set to true, for geared extruder set to false
#define INVERT_E1_DIR true    // for direct drive extruder v9 set to true, for geared extruder set to false
#define INVERT_E2_DIR true   // for direct drive extruder v9 set to true, for geared extruder set to false


#define X_MAX_LENGTH 155
#define Y_MAX_LENGTH 150
#define Z_MAX_LENGTH 90
#define HOMING_FEEDRATE {10*60, 10*60, 1*60, 0}  // set the homing speeds (mm/min)
#define FAST_HOME_FEEDRATE {80*60, 80*60, 4*60, 0}  // set the homing speeds (mm/min)
#define DEFAULT_MAX_FEEDRATE  {500, 500, 5, 45}    // (mm/sec)
#define DEFAULT_MAX_FEEDRATE          {500, 500, 5, 45}    // (mm/sec)    
#define DEFAULT_MAX_ACCELERATION      {1000,1000,50,250}    // X, Y, Z, E maximum start speed for accelerated moves. E default values

// X, Y, Z, E steps per mm

#define DEFAULT_AXIS_STEPS_PER_UNIT    {87.489, 87.489, 4000, 660.0} // <- 18-tooth aluminium pulley 
//#define DEFAULT_AXIS_STEPS_PER_UNIT    {92.635, 92.635, 4000, 660}   // <- 17-tooth printed pulley 
//#define DEFAULT_AXIS_STEPS_PER_UNIT    {91.4286, 91.4286, 4000, 920.0}  // <- 14 tooth T2.5 belt + original extruder drive
